%define module	dateutil

Name:		python-%{module}15
Summary:	Provides powerful extensions to the standard datetime module
Version:	1.5
Release:	%mkrel 1
License:	Python
Group:		Development/Python
URL:		https://pypi.python.org/pypi/python-dateutil/
Source0:	https://pypi.python.org/packages/source/p/python-%{module}/python-%{module}-%{version}.tar.gz
BuildRequires:	pkgconfig(python)
BuildRequires:	python-setuptools
BuildArch:	noarch
# provide compatibility with python-dateutil
Provides:       python-%{module} = %{version}-%{release}
Obsoletes:      python-%{module} < 1.5
Conflicts:      python-%{module} >= 1.6

%description
The dateutil module provides powerful extensions to the standard
datetime module available in Python. Features include:

* Computing of relative deltas (next month, next year, next monday,
  last week of month, etc);
* Computing of relative deltas between two given date and/or datetime
  objects;
* Computing of dates based on very flexible recurrence rules, using a
  superset of the iCalendar specification. Parsing of RFC strings is
  supported as well;
* Generic parsing of dates in almost any string format;
* Timezone (tzinfo) implementations for tzfile(5) format files
  (/etc/localtime, /usr/share/zoneinfo, etc), TZ environment string
  (in all known formats), iCalendar format files, given ranges (with
  help from relative deltas), local machine timezone, fixed offset
  timezone, UTC timezone, and Windows registry-based time zones;
* Internal up-to-date world timezone information based on Olson's
  database;
* Computing of Easter Sunday dates for any given year, using Western,
  Orthodox or Julian algorithms;
* More than 400 test cases.


%prep
%setup -q -n python-dateutil-%{version}
iconv --from=ISO-8859-1 --to=UTF-8 NEWS > NEWS.new
mv NEWS.new NEWS

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot}


%files
%doc README NEWS LICENSE
%{python_sitelib}/%{module}
%{python_sitelib}/python_%{module}-%{version}-py?.?.egg-info




%changelog
* Wed Dec 09 2015 philippem <philippem> 1.5-1.mga6
+ Revision: 909191
- imported package python-dateutil15

